\version "2.19.0"

\include "common-defs.ly"
AH = #SlashedHairpin

\include "bartok-pc-3-1.ly"
\include "bartok-pc-3-2.ly"
\include "bartok-pc-3-3.ly"

\include "bartok-pc-3-paged-title.ly"

\include "common-grand-score.ly"

% #(set-global-staff-size 14)
#(set-global-staff-size 15)
% #(set-global-staff-size 16)

\paper {
    tocTitleMarkup = \markup\abs-fontsize #12 \bold\larger\larger\column{
        \line{Table of Contents} \null}
    tocItemMarkup = \markup\abs-fontsize #12 \fill-line{
        \override #'(line-width . 30)
        \fromproperty #'toc:text \fromproperty #'toc:page
    }
}


\markup\null\pageBreak
\markup{
    \vspace #2
}

\markup\abs-fontsize #12 \column{
    \wordwrap{
        This work was first performed on February 8, 1946 by the Philadelphia
        Orchestra, conducted by Eugene Ormandy with György Sándor as soloist.
    }
}

\markup\abs-fontsize #12 {
    \vspace #4
}

\markuplist \table-of-contents

\markup\abs-fontsize #12 {
    \vspace #4
}

\markup\abs-fontsize #12 \left-column{
    \bold\larger\larger{Instrumentation}
    \vspace #1.5
    "2 Flutes (2nd doubles Piccolo)"
    "2 Oboes (2nd doubles English Horn)"
    \line{2 Clarinets in A and \concat{B \raise #1.0 \smaller\smaller \flat} (2nd doubles Bass Clarinet in \concat{B \raise #1.0 \smaller\smaller \flat )}}
    "2 Bassoons"
    \vspace #1.0
    "4 Horns in F"
    "2 Trumpets in C"
    "3 Trombones"
    "Tuba"
    \vspace #1.0
    "Timpani"
    "Percussion (2): xylophone, triangle, small side-trum, bass drum, tam-tam"
    \vspace #1.0
    "Strings"
    \vspace #15.0
    %{
    \bold\larger\larger{Strumentazione}
    \vspace #1.5
    "2 Flauti (2. anche Piccolo)"
    "2 Oboi (2. anche Corno Inglese)"
    \line{2 Clarinetti in A e \concat{B \raise #1.0 \smaller\smaller \flat} (2. anche Clarinetto Basso in \concat{B \raise #1.0 \smaller\smaller \flat )}}
    "2 Fagotti"
    \vspace #1.0
    "4 Corni in F"
    "2 Trombe in C"
    "3 Tromboni"
    "Tuba"
    \vspace #1.0
    "Timpani"
    "Batteria (2): Xilofono, Triangolo, Tamburo piccolo, Piatti, Gran Cassa, Tam-Tam"
    \vspace #1.0
    "Archi"
    \vspace #15.0
    %}
}

\markup\abs-fontsize #12 {
    \vspace #4
}

\markup\abs-fontsize #12 \column{
    \bold\larger\larger\line{Cover Photograph}
    \vspace #1.5
    \wordwrap {
        Béla Bartók and his wife Ditta Pásztori, for whom this
        concerto was composed.
    }
}

\markup\abs-fontsize #12 {
    \vspace #2
}

\markup\null\pageBreak

\paper {
    indent = #24
    short-indent = #12
    % annotate-spacing = ##t
}


\layout {
    \context {
	\GrandStaff {
            % Revert from setting in common-grand-score.ly
	    \revert SystemStartBrace.collapse-height
	}
    }

    \context {
        \Staff
            \RemoveEmptyStaves
    }

    \context {
        \Staff {
            \override InstrumentName.self-alignment-X = #RIGHT
        }
    }

    \context {
        \RhythmicStaff
            \RemoveEmptyStaves
    }
}


\tocItem \mvtIpiece

% %{
\score {
    \keepWithTag #'( SCORE PD_ED ) <<
        % \new Dynamics \mvtIbreaks

        \new MarkLine \mvtItempi

        \new StaffGroup <<
            \new GrandStaff \with {
                instrumentName = "Flauti"
                shortInstrumentName = "Fl."
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIflI
                        \mvtIflII
                >>
            >>
            \new GrandStaff \with {
                instrumentName = "Oboi"
                shortInstrumentName = "Ob."
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIobI
                        \mvtIobII
                >>
            >>
            \new GrandStaff \with {
                instrumentName = \markup\center-column{"Clarinetti" "in A"}
                shortInstrumentName = \markup\center-column{"Clar." "(A)"}
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIclI
                        \mvtIclII
                >>
            >>
            \new GrandStaff \with {
                instrumentName = "Fagotti"
                shortInstrumentName = "Fg."
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIfgI
                        \mvtIfgII
                >>
            >>
        >>

        \new StaffGroup <<
            \new GrandStaff \with {
                instrumentName = \markup\center-column{"Corni" "in F"}
                shortInstrumentName = \markup\center-column{"Cor." "(F)"}
                \consists Keep_alive_together_engraver
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "3."}
                    shortInstrumentName = \markup\right-column{"1." "3."}
                    aDueText = "1.3."
                    soloText = "1."
                    soloIIText = "3."
                    \override VerticalAxisGroup.remove-layer = ##f
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIhrnI
                        \mvtIhrnIII
                >>
                \new Staff = mvtIhrnII \with {
                    instrumentName = \markup\right-column{"2."}
                    shortInstrumentName = \markup\right-column{"2."}
                    \override VerticalAxisGroup.remove-layer = 20
                    \RemoveAllEmptyStaves
                } <<
                    \mvtIhrnII
                >>
                \new Staff = mvtIhrnIV \with {
                    instrumentName = \markup\right-column{"4."}
                    shortInstrumentName = \markup\right-column{"4."}
                    \override VerticalAxisGroup.remove-layer = 20
                    \RemoveAllEmptyStaves
                } <<
                    \mvtIhrnIV
                >>
                \new Staff = mvtIhrnIIeIV \with {
                    instrumentName = \markup\right-column{"2." "4."}
                    shortInstrumentName = \markup\right-column{"2." "4."}
                    aDueText = "2.4."
                    soloText = "2."
                    soloIIText = "4."
                    \override VerticalAxisGroup.remove-layer = 40
                    \RemoveEmptyStaves
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIhrnII
                        \mvtIhrnIV
                >>
            >>
            \new GrandStaff \with {
                instrumentName = \markup\center-column{"Trombe" "in C"}
                shortInstrumentName = \markup\center-column{"Tba." "(C)"}
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtItrpI
                        \mvtItrpII
                >>
            >>
            \new Staff \with {
                \override InstrumentName.self-alignment-X = #CENTER
                instrumentName = "1. Trombone"
                shortInstrumentName = "Trom.1"
            } <<
                \mvtItromI
            >>
        >>

        \new Staff \with {
            \override InstrumentName.self-alignment-X = #CENTER
            instrumentName = "Timpani"
            shortInstrumentName = "Timp."
        } <<
            \mvtItimp
        >>

        \new StaffGroup <<
            \new RhythmicStaff \with {
                instrumentName = "Triangolo"
                shortInstrumentName = "Trgl."
            } <<
                \mvtItriang
            >>
            \new RhythmicStaff \with {
                instrumentName = "Tamburo piccolo"
                shortInstrumentName = "Tamb.p."
            } <<
                \mvtItambPicc
            >>
        >>

        \new PianoStaff \with {
            instrumentName = "Pianoforte"
            shortInstrumentName = "Pf."
            \override VerticalAxisGroup.remove-empty = ##f
        } <<
            \new Staff = "up" \with {
            } <<
                \mvtIpiRH
            >>
            \new Dynamics = "dyn" \with {
            } <<
                \mvtIpiDyn
            >>
            \new Staff = "down" \with {
            } <<
                \mvtIpiLH
            >>
        >>

        \new MarkLine \with {
            \override VerticalAxisGroup.staff-affinity = #CENTER
        } \mvtItempi

        \new StaffGroup <<
            \new GrandStaff \with {
                instrumentName = "Violino"
                shortInstrumentName = "Vln."
            } <<
                \new Staff \with {
                    instrumentName = "I."
                    shortInstrumentName = "I."
                    soloText = \markup\null
                    aDueText = \markup\null
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIvlnI
                        \mvtIvlnIhII
                >>
                \new Staff \with {
                    instrumentName = "II."
                    shortInstrumentName = "II."
                    soloText = \markup\null
                    aDueText = \markup\null
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIvlnII
                        \mvtIvlnIIhII
                >>
            >>
            \new Staff \with {
                \override InstrumentName.self-alignment-X = #CENTER
                instrumentName = "Viola"
                shortInstrumentName = "Vla."
                soloText = \markup\null
                aDueText = \markup\null
            } <<
                \partcombine
                    \removeWithTag KEEPQUOTED \mvtIvla
                    \mvtIvlahII
            >>
            \new Staff \with {
                \override InstrumentName.self-alignment-X = #CENTER
                instrumentName = "Violoncello"
                shortInstrumentName = "Vc."
            } <<
                \mvtIvc
            >>
            \new Staff \with {
                \override InstrumentName.self-alignment-X = #CENTER
                instrumentName = "Contrabasso"
                shortInstrumentName = "Cb."
            } <<
                \mvtIcb
            >>
        >>
    >>

    \header {
        piece = \mvtIpiece
    }
}
% %}


mvtIIvlnIIcombined = <<
\mvtIItimeline
{
    \dynamicDown
    \transposition c
        \quoteDuring mvtIIvlnII {
        s1*29 |
        \barNumberCheck # 30
        s1.*1 |
        \barNumberCheck # 31
        s1*25 |
        \barNumberCheck # 56
        s1.*1 |
        \barNumberCheck # 57
        s1*1 |
    }
    \barNumberCheck # 58
    \dynamicDown
    \partcombineAutomatic \partcombine
        \quoteDuring mvtIIvlnIIscore {
            \dynamicDown
            s1*6 |
            \barNumberCheck # 64
            s2.*4 |
            \oneVoice
            s2.*4 |
            \barNumberCheck # 72
        }
        \quoteDuring mvtIIvlnIIhII {
            s1*6 |
            \barNumberCheck # 64
            s2.*4 |
            <>\stopTrillSpan
            \oneVoice
            s2.*4 |
            \barNumberCheck # 72
        }
    % \time 4/4
    \partcombineAutomatic
    \partcombine
        \quoteDuring mvtIIvlnIIscore {
            \dynamicDown
            s1*4 |
            \oneVoice
            s1 |
        }
        \quoteDuring mvtIIvlnIIhII {
            s1*4 |
            \stemNeutral
            s1 |
        }
    \quoteDuring mvtIIvlnII {
        \barNumberCheck # 77
        % time 3/4
        s2. |
        \barNumberCheck # 78
        % \time 4/4
        s1 |
    }
    \barNumberCheck # 79
    \partcombineChords
    \partcombine
        \quoteDuring mvtIIvlnIIscore { s1*5 | }
        \quoteDuring mvtIIvlnIIhII { s1*5 | }
    \barNumberCheck # 84
    % \partcombineApart
    \partcombineAutomatic
    \partcombine
        \quoteDuring mvtIIvlnIIscore { s1*2 | }
        \quoteDuring mvtIIvlnIIhII { s1*2 | }
    \barNumberCheck # 86
    R1*36 |
    \barNumberCheck # 122
    <<
        \quoteDuring mvtIIvlnIIscore {
            \dynamicDown
            s1*1 ||
            \barNumberCheck # 123
            % \time 3/2
            s1. |
            \barNumberCheck # 124
            % \time 4/4
            s1*3 |
            \barNumberCheck # 127
        }
        \quoteDuring mvtIIvlnIIhII {
            s1*1 ||
            \barNumberCheck # 123
            % \time 3/2
            s1. |
            \barNumberCheck # 124
            % \time 4/4
            s1*3 |
            \barNumberCheck # 127
        }
    >>
        
    \dynamicDown
    \quoteDuring mvtIIvlnII {
        s1*3 |
        \barNumberCheck # 130
        % \time 3/2
        s1. |
        \barNumberCheck # 131
        % \time 4/4
        s1*5 |
        \barNumberCheck # 136
        % \time 3/2
        s1.*2 |
        \barNumberCheck # 138
    }
    \breathe
    s8
}
>>


\tocItem \mvtIIpiece

% %{
\score {
    \keepWithTag #'( SCORE PD_ED KEEPQUOTED PARTCOMBINED ) <<
        % \new Dynamics \mvtIIbreaks

        \new MarkLine \mvtIItempi

        \new StaffGroup <<
            \new GrandStaff \with {
                instrumentName = \markup\center-column{"Flauti" "2. anche" "Piccolo"}
                shortInstrumentName = "Fl."
            } <<
                \new Staff \with {
                    \RemoveAllEmptyStaves
                    instrumentName = \markup\center-column{"Flauto" "piccolo"}
                    shortInstrumentName = "Picc."
                } <<
                    \mvtIIpicc
                >>
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIflI
                        \mvtIIflII
                >>
            >>
            \new GrandStaff \with {
                instrumentName = "Oboi"
                shortInstrumentName = "Ob."
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIobI
                        \mvtIIobII
                >>
            >>
            \new GrandStaff \with {
                instrumentName = \markup\center-column{"Clarinetti" \line{in \concat{B \raise #1.0 \tiny \flat}}}
                shortInstrumentName = \markup\center-column{"Clar." \line{in \concat{B \raise #1.0 \tiny \flat}}}
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIclI
                        \mvtIIclII
                >>
            >>
            \new GrandStaff \with {
                instrumentName = "Fagotti"
                shortInstrumentName = "Fg."
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIfgI
                        \mvtIIfgII
                >>
            >>
        >>

        \new StaffGroup <<
            \new GrandStaff \with {
                instrumentName = \markup\center-column{"Corni" "in F"}
                shortInstrumentName = \markup\center-column{"Cor." "(F)"}
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "3."}
                    shortInstrumentName = \markup\right-column{"1." "3."}
                    soloText = "1."
                    soloIIText = "3."
                    aDueText = "1.3."
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIhrnI
                        \mvtIIhrnIII
                >>
                \new Staff \with {
                    instrumentName = "2."
                    shortInstrumentName = "2."
                } <<
                    \mvtIIhrnII
                >>
            >>
            \new GrandStaff \with {
                instrumentName = \markup\center-column{"Trombe" "in C"}
                shortInstrumentName = \markup\center-column{"Tba." "(C)"}
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIItrpI
                        \mvtIItrpII
                >>
            >>
        >>

        \new Staff \with {
            \override InstrumentName.self-alignment-X = #CENTER
            instrumentName = "Xilofono"
            shortInstrumentName = "Xilo."
        } <<
            \mvtIIxylo
        >>
        \new RhythmicStaff \with {
            instrumentName = "Tam-tam"
            shortInstrumentName = "Tam-t."
        } <<
            \mvtIItamtam
        >>

        \new PianoStaff \with {
            instrumentName = "Pianoforte"
            shortInstrumentName = "Pf."
        } <<
            \new Staff = "up" <<
                \mvtIIpiRH
            >>
            \new Dynamics <<
                \mvtIIpiDyn
            >>
            \new Staff = "down" <<
                \mvtIIpiLH
            >>
        >>

        \new MarkLine \with {
            \override VerticalAxisGroup.staff-affinity = #CENTER
        } \mvtIItempi

        \new StaffGroup <<
            \new StaffGroup \with {
                instrumentName = \markup{Violino}
                shortInstrumentName = "Vln."
                systemStartDelimiter = #'SystemStartSquare
            } <<
                \new GrandStaff \with {
                    \override InstrumentName.self-alignment-X = #RIGHT instrumentName = \markup{I.}
                    shortInstrumentName = \markup{I.}
                    \consists Keep_alive_together_engraver
                } <<
                    \new Staff = mvtIIvlnIcombined \with {
                        soloText = \markup\null
                        aDueText = \markup\null
                        \override VerticalAxisGroup.remove-layer = 40
                    } \keepWithTag #'( SCORE PD_ED PARTCOMBINED ) <<
                        \partcombine #'(0 . 3)
                            \removeWithTag KEEPQUOTED \mvtIIvlnI
                            \mvtIIvlnIhII
                    >>
                    \new Staff = mvtIIvlnI \with {
                        \override VerticalAxisGroup.remove-layer = 30
                    } \keepWithTag #'( SCORE PD_ED ) <<
                        \mvtIIvlnI
                    >>
                    \new Staff = mvtIIvlnIhII \with {
                        \override VerticalAxisGroup.remove-layer = 30
                    } \keepWithTag #'( SCORE PD_ED ) <<
                        \mvtIIvlnIhII
                    >>
                >>
                \new Staff \with {
                    instrumentName = "II."
                    shortInstrumentName = "II."
                } <<
                    \keepWithTag #'( SCORE PD_ED KEEPQUOTED PARTCOMBINED ) \mvtIIvlnIIcombined
                >>
            >>

            \new Staff \with {
                \override InstrumentName.self-alignment-X = #CENTER
                instrumentName = "Viola"
                shortInstrumentName = "Vle."
            } <<
                \mvtIIvla
            >>

            \new GrandStaff \with {
                instrumentName = "Violoncello"
                shortInstrumentName = "Vc."
            } <<
                \new Staff \with {
                } <<
                    \mvtIIvc
                >>
                \new Staff \with {
                    \RemoveAllEmptyStaves
                } <<
                    \mvtIIvchII
                >>
            >>

            \new Staff \with {
                \override InstrumentName.self-alignment-X = #CENTER
                instrumentName = "Contrabasso"
                shortInstrumentName = "Cb."
            } <<
                \mvtIIcb
            >>
        >>
    >>

    \header {
        piece = \mvtIIpiece
    }
}
% %}


mvtIIItromCombined = {
    \override TextScript.font-shape = #'upright
    \override TextScript.font-series = #'bold
    \override TextScript.self-alignment-X = #CENTER

    \clef bass
    \transposition c
    % \time 3/8
    \barNumberCheck # 138
    \set Staff.shortInstrumentName = \markup\center-column{"1." "2." "3."}
    % \at 4. \set Staff.shortInstrumentName = "3."
    \at 4. \set Staff.shortInstrumentName = \markup\center-column{"2." "3."}
    R4.*53
    <>^"3." \quoteDuring mvtIIItromIII { s4.*5 | }
    \barNumberCheck # 196
    \set Staff.shortInstrumentName = \markup\center-column{"1." "2." "3."}
    <>^"2.3." <<
        \quoteDuring mvtIIItromII { s4.*3 | }
        \quoteDuring mvtIIItromIII { s4.*3 | }
    >>
    R4.*6 |
    <>^"1.2.3." <<
        \quoteDuring mvtIIItromI { s4.*9 | }
        \quoteDuring mvtIIItromII { s4.*9 | }
        \quoteDuring mvtIIItromIII { s4.*9 | }
    >>
    \barNumberCheck # 214
    \set Staff.shortInstrumentName = \markup\center-column{"1." "2."}
    R4.*108 |
    \barNumberCheck # 322
    <>^"2."
    \at 4.*3 ^"1.2."
    <<
        \quoteDuring mvtIIItromI { s4.*6 | }
        \quoteDuring mvtIIItromII { s4.*6 | }
    >>
    \barNumberCheck # 328
    \set Staff.shortInstrumentName = \markup\center-column{"2." "3."}
    R4.*4 |
    \barNumberCheck # 332
    <>^"3."
    \at 4.*3 ^"2.3."
    \partcombine
        \quoteDuring mvtIIItromII { s4.*4 s4.*2 | }
        \quoteDuring mvtIIItromIII { s4.*4 s4.*2 | }
    \barNumberCheck # 338
    <<
        \quoteDuring mvtIIItromII { s4.*6 | }
        \quoteDuring mvtIIItromIII { s4.*6 | }
    >>
    \barNumberCheck # 344
    \set Staff.shortInstrumentName = \markup\center-column{"1." "2." "3."}
    R4.*36 |
    <>^"1." \quoteDuring mvtIIItromI { s4.*2 | }
    <>^"1.2.3." <<
        \quoteDuring mvtIIItromI { s4.*1 | }
        \quoteDuring mvtIIItromII { s4.*1 | }
        \quoteDuring mvtIIItromIII { s4.*1 | }
    >>
    \set Staff.shortInstrumentName = "2."
    R4.*44 |
    \barNumberCheck # 427
    % \time 2/4
    R2*46 |
    \barNumberCheck # 473
    % \time 3/8
    R4.*116
    \barNumberCheck # 589
    <>^"2." \quoteDuring mvtIIItromII { s4.*19 | }
    \barNumberCheck # 608
    \set Staff.shortInstrumentName = \markup\center-column{"1." "2." "3."}
    R4.*36 |
    \barNumberCheck # 644
    % \time 3/4
    R2.*77 |
    \barNumberCheck # 721
    % \time 3/8
    <>^"1.2.3." <<
        \quoteDuring mvtIIItromI { s4.*12 | }
        \quoteDuring mvtIIItromII { s4.*12 | }
        \quoteDuring mvtIIItromIII { s4.*12 | }
    >>
    \barNumberCheck # 733
    \set Staff.shortInstrumentName = "3."
    R4.*8 |
    <>^"3." \quoteDuring mvtIIItromIII { s4.*8 | }
    \set Staff.shortInstrumentName = \markup\center-column{"1." "2." "3."}
    R4.*4 |
    \barNumberCheck # 753
    <>^"1.2.3." <<
        \quoteDuring mvtIIItromI { s4.*16 | }
        \quoteDuring mvtIIItromII { s4.*16 | }
        \quoteDuring mvtIIItromIII { s4.*16 | }
    >>
    \barNumberCheck # 769
}


\tocItem \mvtIIIpiece

% %{
\score {
    \keepWithTag #'( SCORE PD_ED KEEPQUOTED ) <<
        % \new Dynamics \mvtIIIbreaks

        \new MarkLine \mvtIIItempi

        \new StaffGroup <<
            \new GrandStaff \with {
                instrumentName = "Flauti"
                shortInstrumentName = "Fl."
                \consists Keep_alive_together_engraver
            } <<
                \new Staff \with {
                    instrumentName = \markup{"Piccolo"}
                    shortInstrumentName = "Picc."
                    \RemoveAllEmptyStaves
                    \override VerticalAxisGroup.remove-layer = ##f
                } <<
                    \mvtIIIpicc
                >>
                \new Staff = mvtIIIflCombined \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                    \override VerticalAxisGroup.remove-layer = #40
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIIflI
                        \mvtIIIflII
                >>
                \new Staff = mvtIIIflI \with {
                    instrumentName = "1."
                    shortInstrumentName = "1."
                    \RemoveAllEmptyStaves
                    \override VerticalAxisGroup.remove-layer = #20
                } <<
                    \mvtIIIflI
                >>
                \new Staff = mvtIIIflII \with {
                    instrumentName = "2."
                    shortInstrumentName = "2."
                    \RemoveAllEmptyStaves
                    \override VerticalAxisGroup.remove-layer = #20
                } <<
                    \mvtIIIflII
                >>
            >>
            \new GrandStaff \with {
                instrumentName = "Oboi"
                shortInstrumentName = "Ob."
                \consists Keep_alive_together_engraver
            } <<
                \new Staff = mvtIIIobCombined \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                    \override VerticalAxisGroup.remove-layer = #40
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIIobI
                        \mvtIIIobII
                >>
                \new Staff = mvtIIIobI \with {
                    instrumentName = "1."
                    shortInstrumentName = "1."
                    \RemoveAllEmptyStaves
                    \override VerticalAxisGroup.remove-layer = #20
                } <<
                    \mvtIIIobI
                >>
                \new Staff = mvtIIIobII \with {
                    instrumentName = "2."
                    shortInstrumentName = "2."
                    \RemoveAllEmptyStaves
                    \override VerticalAxisGroup.remove-layer = #20
                } <<
                    \mvtIIIobII
                >>
            >>
            \new GrandStaff \with {
                instrumentName = \markup\center-column{"Clarinetti" "in A"}
                shortInstrumentName = \markup\center-column{"Clar." "(A)"}
                \consists Keep_alive_together_engraver
            } <<
                \new Staff = mvtIIIclCombined \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                    \override VerticalAxisGroup.remove-layer = #40
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIIclI
                        \mvtIIIclII
                >>
                \new Staff = mvtIIIclI \with {
                    instrumentName = "1."
                    shortInstrumentName = "1."
                    \RemoveAllEmptyStaves
                    \override VerticalAxisGroup.remove-layer = #20
                } <<
                    \mvtIIIclI
                >>
                \new Staff = mvtIIIclII \with {
                    instrumentName = \markup\center-column{"2 anche" "Clarinetto Basso"}
                    shortInstrumentName = \markup\center-column{
                                "2(A)"
                                "(Clar.B."
                                \line{in \concat{B \raise #1.0 \teeny \flat )}}}
                    \RemoveAllEmptyStaves
                    \override VerticalAxisGroup.remove-layer = #20
                } <<
                    \mvtIIIclII
                >>
            >>
            \new GrandStaff \with {
                instrumentName = "Fagotti"
                shortInstrumentName = "Fg."
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIIfgI
                        \mvtIIIfgII
                >>
            >>
        >>

        \new StaffGroup <<
            \new GrandStaff \with {
                instrumentName = \markup\center-column{"Corni" "in F"}
                shortInstrumentName = \markup\center-column{"Cor." "(F)"}
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "3."}
                    shortInstrumentName = \markup\right-column{"1." "3."}
                    soloText = "1."
                    soloIIText = "3."
                    aDueText = "1.3."
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIIhrnI
                        \mvtIIIhrnIII
                >>
                \new Staff \with {
                    instrumentName = \markup\right-column{"2." "4."}
                    shortInstrumentName = \markup\right-column{"2." "4."}
                    soloText = "2."
                    soloIIText = "4."
                    aDueText = "2.4."
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIIhrnII
                        \mvtIIIhrnIV
                >>
            >>
            \new GrandStaff \with {
                instrumentName = \markup\center-column{"Trombe" "in C"}
                shortInstrumentName = \markup\center-column{"Tba." "(C)"}
            } <<
                \new Staff \with {
                    instrumentName = \markup\right-column{"1." "2."}
                    shortInstrumentName = \markup\right-column{"1." "2."}
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIItrpI
                        \mvtIIItrpII
                >>
            >>
            \new GrandStaff \with {
                instrumentName = "Tromboni"
                shortInstrumentName = "Trom."
            } <<
                \new Staff \with {
                    shortInstrumentName = \markup\center-column{"1." "2." "3."}
                } <<
                    \mvtIIItromCombined
                >>
            >>
            \new Staff \with {
                \override InstrumentName.self-alignment-X = #CENTER
                instrumentName = "Tuba"
                shortInstrumentName = "Tuba"
            } <<
                \mvtIIItuba
            >>
        >>

        \new Staff \with {
            \override InstrumentName.self-alignment-X = #CENTER
            instrumentName = "Timpani"
            shortInstrumentName = "Timp."
        } <<
            \mvtIIItimp
        >>

        \new StaffGroup <<
            \new RhythmicStaff \with {
                instrumentName = \markup\center-column{"Gran Cassa" "Piatti"}
                shortInstrumentName = "Gr.C."
            } <<
                \mvtIIIgranCassa
            >>
            \new RhythmicStaff \with {
                shortInstrumentName = "Piatti"
                \RemoveAllEmptyStaves
            } <<
                \mvtIIIpiatti
            >>
        >>

        \new PianoStaff \with {
            instrumentName = "Pianoforte"
            shortInstrumentName = "Pf."
        } <<
            \new Staff = up <<
                \mvtIIIpiRH
            >>
            \new Dynamics <<
                \mvtIIIpiDyn
            >>
            \new Staff = down <<
                \mvtIIIpiLH
            >>
        >>

        \new MarkLine \with {
            \override VerticalAxisGroup.staff-affinity = #CENTER
        } \mvtIIItempi

        \new StaffGroup <<
            \new GrandStaff \with {
                instrumentName = "Violini"
                shortInstrumentName = "Vln."
            } <<
                \new Staff \with {
                    instrumentName = "I."
                    shortInstrumentName = "I."
                    % aDueText = \markup\right-align{unis.}
                    aDueText = \markup\null
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIIvlnI
                        \mvtIIIvlnIhII
                >>
                \new Staff \with {
                    instrumentName = "II."
                    shortInstrumentName = "II."
                    % aDueText = \markup\right-align{unis.}
                    aDueText = \markup\null
                } <<
                    \partcombine
                        \removeWithTag KEEPQUOTED \mvtIIIvlnII
                        \mvtIIIvlnIIhII
                >>
            >>
            \new Staff \with {
                \override InstrumentName.self-alignment-X = #CENTER
                instrumentName = "Viola"
                shortInstrumentName = "Vla."
                % aDueText = \markup\right-align{unis.}
                aDueText = \markup\null
            } <<
                \partcombine
                    \removeWithTag KEEPQUOTED \mvtIIIvla
                    \mvtIIIvlahII
            >>
            \new Staff \with {
                \override InstrumentName.self-alignment-X = #CENTER
                instrumentName = "Violoncello"
                shortInstrumentName = "Vc."
            } <<
                \mvtIIIvc
            >>
            \new Staff \with {
                \override InstrumentName.self-alignment-X = #CENTER
                instrumentName = "Contrabasso"
                shortInstrumentName = "Cb."
            } <<
                \mvtIIIcb
            >>
        >>
    >>

    \header {
        piece = \mvtIIIpiece
    }
}
% %}
