\version "2.19.11"

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Overrides for default settings
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% shared by approx. all works so put it into common.ly
%
\paper {
    two-sided = ##t
    inner-margin = 12\mm
    outer-margin = 8\mm
    indent = 0

    % ragged-right = ##f        Does not work for partial ossia staves
}


% shared by approx. all works so put it into common.ly
%
\paper {
    % annotate-spacing = ##t
    oddHeaderMarkup = \markup{
	\fill-line {
	    \abs-fontsize #11 {
		\on-the-fly #print-page-number-check-first
		    \fromproperty #'header:instrument
		\on-the-fly #print-page-number-check-first
		    \line { \fromproperty #'header:composer — \fromproperty #'header:title " " \fromproperty #'header:opus }
		\on-the-fly #print-page-number-check-first
		    \fromproperty #'page:page-number-string
	    }
	}
    }

    evenHeaderMarkup = \markup{
	\fill-line {
	    \abs-fontsize #11 {
		\on-the-fly #print-page-number-check-first
		    \fromproperty #'page:page-number-string
		\on-the-fly #print-page-number-check-first
		    \line { \fromproperty #'header:composer — \fromproperty #'header:title " " \fromproperty #'header:opus }
		\fromproperty #'header:instrument
	    }
	}
    }

    bookTitleMarkup = \markup {
	\column {
	    \fill-line {
		\large\bold \fromproperty #'header:instrument
		\huge\larger\larger\bold
		\fromproperty #'header:title
		\large\bold \fromproperty #'header:composer
	    }
	    \fill-line {
              ""
	      \large \bold \fromproperty #'header:subtitle
	      \large \bold \fromproperty #'header:opus
	    }
	    \fill-line {
	      \smaller \bold
	      \fromproperty #'header:subsubtitle
	    }
	    \fill-line {
	      \fromproperty #'header:poet
	      \fromproperty #'header:meter
	      \fromproperty #'header:arranger
	    }
	}
    }

    scoreTitleMarkup = \markup {
	\column {
	    \on-the-fly #print-all-headers { \bookTitleMarkup \hspace #1 }
	    % \combine \null \vspace #0.0
	    \huge \larger \bold {
	        \fromproperty #'header:piece
	    }
	    \combine \null \vspace #0.0
	}
    }

}

\layout {

    \context {
        \Score {
            \set quotedCueEventTypes = #'(note-event rest-event tie-event
                                          beam-event tuplet-span-event
                                          dynamic-event articulation-event
                                          slur-event trill-span-event
                                          tremolo-event tremolo-span-event
                                          )

            \override Score.MetronomeMark.font-size = #2.5

            \override BarNumber.font-size = #-0.5

            \override Score.BreathingSign.text = \markup\huge\bold{\musicglyph #"scripts.rcomma"}
            % \override Score.BreathingSign.text = \markup\huge\bold{,}
            \override Score.BreathingSign.Y-offset = #2.6
        }
    }

    \context Score {
        % Gould claims a standard GrandStaff is old-fashioned.
        % Bärenreiter and Universal have curly GrandStaff, Sikorski has square.
        % Other publishers?
        % \set GrandStaff.systemStartDelimiter = #'SystemStartSquare
    }

    \context {
        \Score
            figuredBassFormatter = #format-bass-figures
	    \accidentalStyle modern-cautionary
    }

    \context {
	\FiguredBass {
	    % \override BassFigure.font-size = #-1.5
	    \set figuredBassAlterationDirection = #RIGHT
	    \set figuredBassPlusDirection = #RIGHT
            \set figuredBassCenterContinuations = ##t
	}
    }
    \context {
	\Staff {
	    % \override BassFigure.font-size = #-1.5
            \bassFigureStaffAlignmentDown
	    \set figuredBassAlterationDirection = #RIGHT
	    \set figuredBassPlusDirection = #RIGHT
            \set figuredBassCenterContinuations = ##t
	}
    }

    \context {
	\Staff {
	    \override TextScript.font-shape = #'italic

	    \set soloText = #"1."
	    \set soloIIText = #"2."

	    \extendLV #3

            % see below for merge-rests-engraver
	    % \override RestCollision #'positioning-done = #merge-rests-on-positioning

	    \override AccidentalSuggestion.avoid-slur = #'inside
	}
    }

    \context {
        \Staff
            \consists #merge-rests-engraver
            \consists #merge-mmrests-engraver
    }

    \context {
        \RhythmicStaff
            \consists #merge-rests-engraver
            \consists #merge-mmrests-engraver
    }

    \context {
	\RhythmicStaff {
	    \override TextScript.font-shape = #'italic
	}
    }

    \context {
	\Voice
	    % \set subdivideBeams = ##t
    }

    \context {
	\Voice
            \remove #"Text_spanner_engraver"
            \consists \alternateTextSpannerEngraver
    }

    \context {
        \Staff
            \override TextSpanner.springs-and-rods = #ly:spanner::set-spacing-rods
    }

    \context {
        \StaffGroup
            \accepts MarkLine
    }

    \context {
        \GrandStaff
            \accepts MarkLine
    }

    \context {
        \MarkLine
            \consists Axis_group_engraver
    }

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % By Schneidy (Pierre Perol-Schneider
    % From http://lists.gnu.org/archive/html/lilypond-user/2014-05/msg00025.html
    \context {
        \Staff {
            \set strokeFingerOrientations = #'(left)
        }
    }

    \context {
        \CueVoice {
            \override TextScript.font-size = #3
        }
    }

    \compressFullBarRests
}


\paper {
    markup-system-spacing = #'((basic-distance . 5.0)
                               (min-distance . 3.0)
                               (padding . 1.0)
                               (stretchability . 10))
    score-markup-spacing = #'((basic-distance . 8)
                              (minimum-distance . 7)
                              (padding . 4)
                              (stretchability . 15))
    top-markup-spacing = #'((basic-distance . 3)
                              (minimum-distance . 2)
                              (padding . 1)
                              (stretchability . 10))
    top-system-spacing = #'((basic-distance . 8)
                              (minimum-distance . 7)
                              (padding . 1)
                              (stretchability . 10))
    % bottom-margin = #5.0
    last-bottom-spacing = #0.0
}


%{
\layout {
    \context {
        \Staff {
            \override VerticalAxisGroup.staff-staff-spacing =
                #'((basic-distance . 4)
                   (minimum-distance . 2)
                   (padding . 1.0)
                   (stretchability . 70))
            % also:
            %   nonstaff-relatedstaff-spacing           ?
            %   nonstaff-nonstaff-spacing               ?
            %   nonstaff-unrelatedstaff-spacing         ?
        }
    }

    \context {
        \Score {
            \override StaffGrouper.staff-staff-spacing =
                #'((basic-distance . 4)
                   (minimum-distance . 2)
                   (padding . 1.0)
                   (stretchability . 70))
            % also:
            %    staffgroup-staff-spacing               ?
        }
    }

    \context {
        \Lyrics {
            \override VerticalAxisGroup.nonstaff-unrelatedstaff-spacing =
                #'((basic-distance . 4)
                   (minimum-distance . 2)
                   (padding . 0.8)
                   (stretchability . 70))
            \override VerticalAxisGroup.nonstaff-relatedstaff-spacing =
                #'((basic-distance . 2)
                   (minimum-distance . 1)
                   (padding . 0.4)
                   (stretchability . 40))
            % also:
            %   nonstaff-nonstaff-spacing               ?
        }
    }
}
%}
